Create an annotation
curl --request POST \
--url https://api.vantage.sh/v2/annotations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"report_tokens": [
"<string>"
],
"date": "2023-12-25",
"message": "<string>",
"title": "<string>"
}
'import requests
url = "https://api.vantage.sh/v2/annotations"
payload = {
"report_tokens": ["<string>"],
"date": "2023-12-25",
"message": "<string>",
"title": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
report_tokens: ['<string>'],
date: '2023-12-25',
message: '<string>',
title: '<string>'
})
};
fetch('https://api.vantage.sh/v2/annotations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "issue_4b05d8f17aea0580",
"title": "Infrastructure migration completed",
"report_tokens": [
"rprt_5b72ee3954cf82e9",
"rprt_3ec37e01a019b9a6"
],
"date": "2026-08-12",
"message": "Infrastructure migration completed"
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}Annotations
Create an annotation
Create an Annotation.
POST
/
annotations
Create an annotation
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Create an Annotation.
Response
Annotation created successfully.
Annotation model
The unique token identifying the Annotation.
The title of the Annotation.
The tokens of the Reports associated with the Annotation.
The date of the Annotation. ISO 8601 formatted.
Example:
"2026-08-12"
The message of the Annotation.
⌘I